pypy-iso8601_0.1.11-1_all.deb


Advertisement

Description

pypy-iso8601 - Python module to parse ISO 8601 dates - PyPy

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Universe amd64
Package name pypy-iso8601
Package version 0.1.11
Package release 1
Package architecture all
Package type deb
Installed size 44 B
Download size 9.66 KB
Official Mirror archive.ubuntu.com
Many file formats and standards use the ISO 8601 date format
(e.g. 2007-01-14T20:34:22+00:00) to store dates in a neutral,
unambiguous manner. This simple Python module parses the most common
forms encountered and returns Python datetime objects.
This package provides the PyPy module.

Alternatives

Package Version Architecture Repository
pypy-iso8601_0.1.11-1_all.deb 0.1.11 all Ubuntu Universe
pypy-iso8601 - - -

Requires

Name Value
pypy -

Download

Type URL
Binary Package pypy-iso8601_0.1.11-1_all.deb
Source Package python-iso8601

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install pypy-iso8601 deb package:
    # sudo apt-get install pypy-iso8601

Files

Path
/usr/lib/pypy/dist-packages/iso8601/__init__.py
/usr/lib/pypy/dist-packages/iso8601/iso8601.py
/usr/lib/pypy/dist-packages/iso8601/test_iso8601.py
/usr/lib/pypy/dist-packages/iso8601-0.1.11.egg-info/PKG-INFO
/usr/lib/pypy/dist-packages/iso8601-0.1.11.egg-info/dependency_links.txt
/usr/lib/pypy/dist-packages/iso8601-0.1.11.egg-info/top_level.txt
/usr/share/doc/pypy-iso8601/changelog.Debian.gz
/usr/share/doc/pypy-iso8601/copyright

Changelog

2015-11-18 - Tristan Seligmann <mithrandi@debian.org>
python-iso8601 (0.1.11-1) unstable; urgency=medium
* Team upload.
* New upstream release.
* d/copyright: Update Source location.
* d/control:
- Drop unnecessary version constraints.
- Update Vcs-Browser URI.
2015-09-04 - Tristan Seligmann <mithrandi@debian.org>
python-iso8601 (0.1.10-3) unstable; urgency=medium
* Team upload.
* d/control:
- Add pypy-iso8601 package.
- Fix capitalization of "Python" in descriptions.
- Remove unnecessary XS-Testsuite field.
* d/rules: Add --with pypy.
* d/copyright: Fix ordering of stanzas.
2015-06-08 - Barry Warsaw <barry@debian.org>
python-iso8601 (0.1.10-2) unstable; urgency=medium
* d/control: Bump Standards-Version with no other changes necessary.
* d/watch: Use the pypi.debian.net redirector.
* d/compat: Bump to version 9.
2014-08-29 - Barry Warsaw <barry@debian.org>
python-iso8601 (0.1.10-1) unstable; urgency=medium
* Adopt package into DPMT, with permission of original maintainer.
* Imported package into team git repo, using `git-import-dscs --debsnap`.
* d/control:
- Updated build dependencies.
- Added myself to Maintainer and the team to Uploaders.
- Updated Standards-Version with no other changes necessary.
- Added X-Python{,3}-Version headers.
- Updated Homepage header.
- Added Vcs-* headers
- Added XS-Testsuite header.
* d/patches: Let gbp-pq rename and adjust debian/patches/*
* d/tests: Added DEP-8 tests for Python 2 and 3.
2014-07-02 - Barry Warsaw <barry@debian.org>
python-iso8601 (0.1.10-0.2) unstable; urgency=medium
* Non-maintainer upload.
* debian/control: Remove unnecessary build dependency on python-support.
2014-03-12 - Thomas Goirand <zigo@debian.org>
python-iso8601 (0.1.10-0.1) unstable; urgency=medium
* Non-maintainer upload.
* New upstream release (Closes: #740311).
* Added Python3 support (Closes: #738327).
* Switch away from python-support which is deprecated, use dh short style
and python-setuptools instead.
* Running the unit tests using pytest.
* debian/copyright in parseable format 1.0.
2013-12-17 - Benjamin Mako Hill <mako@debian.org>
python-iso8601 (0.1.8-1) unstable; urgency=low
* New upstream version. (Closes: #732284)
* Add debian/watch file to avoid these bugs in the future.
2011-02-11 - Benjamin Mako Hill <mako@debian.org>
python-iso8601 (0.1.4-1) unstable; urgency=low
* Initial release of package in Debian. (Closes: #612941)

See Also

Package Description
pypy-lib-testsuite_5.0.1+dfsg-4_all.deb standard library test suite for PyPy (an alternative Python interpreter)
pypy-lib_5.0.1+dfsg-4_amd64.deb standard library for PyPy (an alternative Python interpreter)
pypy-mutagen_1.31-1ubuntu1_all.deb audio metadata editing library (PyPy)
pypy-pkg-resources_20.7.0-1_all.deb Package Discovery and Resource Access using pkg_resources
pypy-pretend_1.0.8-2_all.deb Python library for stubbing (PyPy)
pypy-pyasn1_0.1.9-1_all.deb ASN.1 library for Python (PyPy module)
pypy-rply_0.7.4-1_all.deb pure Python based parser that also works with RPython (PyPy)
pypy-setuptools_20.7.0-1_all.deb PyPy Distutils Enhancements
pypy-six_1.10.0-3_all.deb Python 2 and 3 compatibility library (PyPy interface)
pypy-sqlparse_0.1.18-1_all.deb non-validating SQL parser for PyPy
pypy-tk_5.0.1+dfsg-4_amd64.deb Tkinter module for PyPy (an alternative Python interpreter)
pypy-unidecode_0.04.19-1_all.deb ASCII transliterations of Unicode text (PyPy module)
pypy-wand_0.3.9-1_all.deb Python interface for ImageMagick library (PyPy build)
pypy-zmq_15.2.0-0ubuntu4_amd64.deb PyPy bindings for 0MQ library
pypy_5.0.1+dfsg-4_amd64.deb fast alternative implementation of Python - PyPy interpreter
Advertisement
Advertisement